Loading...
Searching...
No Matches
gtsam::IterativeSolver Class Referenceabstract

## Detailed Description

Base class for Iterative Solvers like SubgraphSolver.

Inheritance diagram for gtsam::IterativeSolver:

## Public Member Functions

GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, boost::optional< const KeyInfo & >=boost::none, boost::optional< const std::map< Key, Vector > & > lambda=boost::none)
GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, const KeyInfo &keyInfo, const std::map< Key, Vector > &lambda)
virtual VectorValues | optimize (const GaussianFactorGraph &gfg, const KeyInfo &keyInfo, const std::map< Key, Vector > &lambda, const VectorValues &initial)=0

## Public Types

typedef boost::shared_ptr< IterativeSolver > | shared_ptr

## Member Function Documentation

## optimize()

virtual VectorValues gtsam::IterativeSolver::optimize | ( | const GaussianFactorGraph & | gfg,
|  | const KeyInfo & | keyInfo,
|  | const std::map< Key, Vector > & | lambda,
|  | const VectorValues & | initial )

pure virtual

Implemented in gtsam::SubgraphSolver.

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/IterativeSolver.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/IterativeSolver.cpp